# DropLogic (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.drop.data
Interface DropLogic

    public interface DropLogic

Describes the features and configuration desired for a given drop puzzle game.

Method Summary
`boolean` `useBlockDropping()` Returns whether the puzzle game would like to make use of the manipulable block dropping functionality.
`boolean` `useBoardRising()` Returns whether the puzzle game would like to make use of the rising board functionality.

Method Detail

### useBlockDropping

    boolean useBlockDropping()

  Returns whether the puzzle game would like to make use of the manipulable block dropping functionality.

### useBoardRising

    boolean useBoardRising()

  Returns whether the puzzle game would like to make use of the rising board functionality.

Copyright © 2011. All Rights Reserved.